// _GestionCongePaternite_Interface.java
// Created on 26 sept. 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.conges.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionCongePaternite_Interface extends COFrame {

    /** Creates new form _GestionCongePaternite_Interface */
    public _GestionCongePaternite_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        vueTexte = new org.cocktail.component.COTextArea();
        vueArretes = new org.cocktail.component.COView();
        vueArrete = new org.cocktail.component.COView();
        contenuVueArrete = new org.cocktail.component.COView();
        vueArreteAnnulation = new org.cocktail.component.COView();
        cOView3 = new org.cocktail.component.COView();
        contenuVueArreteAnnulation = new org.cocktail.component.COView();
        cOButton2 = new org.cocktail.component.COButton();
        cOButton3 = new org.cocktail.component.COButton();
        cOLabel2 = new org.cocktail.component.COLabel();
        jLabel5 = new javax.swing.JLabel();
        cOView1 = new org.cocktail.component.COView();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOTextField2 = new org.cocktail.component.COTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        cOView2 = new org.cocktail.component.COView();
        jLabel10 = new javax.swing.JLabel();
        cOTextField9 = new org.cocktail.component.COTextField();
        cOTextField8 = new org.cocktail.component.COTextField();
        jLabel9 = new javax.swing.JLabel();
        cOCheckbox2 = new org.cocktail.component.COCheckbox();
        cOButton11 = new org.cocktail.component.COButton();
        cOButton10 = new org.cocktail.component.COButton();
        jLabel3 = new javax.swing.JLabel();

        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);
        displayGroup.setKeys(new Object[] {"commentaire","dateDebutFormatee","dateDemandeFormatee","dateFinFormatee","dateNaissPrevFormatee","estCongeSansTraitement","estGrossesseMultiple"});

        setControllerClassName("org.cocktail.mangue.client.conges.GestionCongePaternite");
        setSize(new java.awt.Dimension(529, 629));

        vueTexte.setDisplayGroupForValue(displayGroup);
        vueTexte.setFont(new java.awt.Font("Helvetica", 0, 11));
        vueTexte.setShouldRefreshImmediately(true);
        vueTexte.setSupportsBackgroundColor(true);
        vueTexte.setValueName("commentaire");

        vueArrete.setFont(new java.awt.Font("Helvetica", 3, 11));
        vueArrete.setIsBox(true);
        vueArrete.setTitle("Arrêté");

        org.jdesktop.layout.GroupLayout contenuVueArreteLayout = new org.jdesktop.layout.GroupLayout(contenuVueArrete);
        contenuVueArrete.setLayout(contenuVueArreteLayout);
        contenuVueArreteLayout.setHorizontalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 480, Short.MAX_VALUE)
        );
        contenuVueArreteLayout.setVerticalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 49, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout vueArreteLayout = new org.jdesktop.layout.GroupLayout(vueArrete);
        vueArrete.setLayout(vueArreteLayout);
        vueArreteLayout.setHorizontalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        vueArreteLayout.setVerticalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        cOView3.setFont(new java.awt.Font("Helvetica", 3, 11));
        cOView3.setIsBox(true);
        cOView3.setTitle("Arrêté");

        org.jdesktop.layout.GroupLayout contenuVueArreteAnnulationLayout = new org.jdesktop.layout.GroupLayout(contenuVueArreteAnnulation);
        contenuVueArreteAnnulation.setLayout(contenuVueArreteAnnulationLayout);
        contenuVueArreteAnnulationLayout.setHorizontalGroup(
            contenuVueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 480, Short.MAX_VALUE)
        );
        contenuVueArreteAnnulationLayout.setVerticalGroup(
            contenuVueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 49, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout cOView3Layout = new org.jdesktop.layout.GroupLayout(cOView3);
        cOView3.setLayout(cOView3Layout);
        cOView3Layout.setHorizontalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArreteAnnulation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        cOView3Layout.setVerticalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArreteAnnulation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        cOButton2.setActionName("annulerArrete");
        cOButton2.setEnabledMethod("peutAnnulerArrete");
        cOButton2.setText("Annuler cet arrêté");

        cOButton3.setActionName("afficherArreteAnnulation");
        cOButton3.setEnabledMethod("peutAfficherArreteAnnulation");
        cOButton3.setText("Afficher Arrêté de remplacement");

        org.jdesktop.layout.GroupLayout vueArreteAnnulationLayout = new org.jdesktop.layout.GroupLayout(vueArreteAnnulation);
        vueArreteAnnulation.setLayout(vueArreteAnnulationLayout);
        vueArreteAnnulationLayout.setHorizontalGroup(
            vueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteAnnulationLayout.createSequentialGroup()
                .add(0, 0, 0)
                .add(vueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, vueArreteAnnulationLayout.createSequentialGroup()
                        .add(vueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(0, 0, 0))
                    .add(cOView3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
        );
        vueArreteAnnulationLayout.setVerticalGroup(
            vueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, vueArreteAnnulationLayout.createSequentialGroup()
                .add(0, 0, 0)
                .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2))
        );

        org.jdesktop.layout.GroupLayout vueArretesLayout = new org.jdesktop.layout.GroupLayout(vueArretes);
        vueArretes.setLayout(vueArretesLayout);
        vueArretesLayout.setHorizontalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArretesLayout.createSequentialGroup()
                .add(0, 0, 0)
                .add(vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, vueArreteAnnulation, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, vueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        vueArretesLayout.setVerticalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArretesLayout.createSequentialGroup()
                .add(10, 10, 10)
                .add(vueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(0, 0, 0)
                .add(vueArreteAnnulation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        cOLabel2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOLabel2.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel2.setValueName("compteurCommentaire");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel5.setText("Observations");

        cOView1.setIsBox(true);
        cOView1.setTitle("Informations");

        cOTextField1.setDisplayGroupForValue(displayGroup);
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("dateDemandeFormatee");

        cOTextField2.setDisplayGroupForValue(displayGroup);
        cOTextField2.setEnabledMethod("peutModifierDeclaration");
        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("dateNaissPrevFormatee");

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel1.setText("Date de demande du congé");

        jLabel2.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel2.setText("Date d'accouchement prévisionnelle");

        cOCheckbox1.setDisplayGroupForValue(displayGroup);
        cOCheckbox1.setEnabledMethod("peutModifierDeclaration");
        cOCheckbox1.setText("Grossesse Multiple");
        cOCheckbox1.setValueName("estGrossesseMultiple");

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel1)
                    .add(jLabel2))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 83, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 83, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(23, Short.MAX_VALUE))
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                .add(11, 11, 11)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(39, 39, 39))
        );

        cOView2.setIsBox(true);

        jLabel10.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel10.setText("DEBUT");

        cOTextField9.setDisplayGroupForValue(displayGroup);
        cOTextField9.setEnabledMethod("peutModifierDateDebut");
        cOTextField9.setSupportsBackgroundColor(true);
        cOTextField9.setValueName("dateDebutFormatee");

        cOTextField8.setDisplayGroupForValue(displayGroup);
        cOTextField8.setEnabledMethod("peutModifierDateFin");
        cOTextField8.setSupportsBackgroundColor(true);
        cOTextField8.setValueName("dateFinFormatee");

        jLabel9.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel9.setText("FIN");

        cOCheckbox2.setDisplayGroupForValue(displayGroup);
        cOCheckbox2.setEnabledMethod("peutAvoirCongeSansTraitement");
        cOCheckbox2.setText("Congé sans traitement");
        cOCheckbox2.setValueName("estCongeSansTraitement");

        org.jdesktop.layout.GroupLayout cOView2Layout = new org.jdesktop.layout.GroupLayout(cOView2);
        cOView2.setLayout(cOView2Layout);
        cOView2Layout.setHorizontalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel10)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(37, 37, 37)
                .add(jLabel9)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        cOView2Layout.setVerticalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .add(15, 15, 15)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9)
                    .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(13, Short.MAX_VALUE))
        );

        cOButton11.setActionName("valider");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("peutValider");
        cOButton11.setIconName("valider16.gif");

        cOButton10.setActionName("annuler");
        cOButton10.setBorderPainted(false);
        cOButton10.setIconName("annuler16.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(7, 7, 7)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 496, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jLabel5)
                            .add(vueArretes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 510, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(215, 215, 215)
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 222, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(34, 34, 34)
                        .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(jLabel5)
                .add(0, 0, 0)
                .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(0, 0, 0)
                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(vueArretes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 246, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COCheckbox cOCheckbox2;
    public org.cocktail.component.COLabel cOLabel2;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField8;
    public org.cocktail.component.COTextField cOTextField9;
    private org.cocktail.component.COView cOView1;
    private org.cocktail.component.COView cOView2;
    public org.cocktail.component.COView cOView3;
    public org.cocktail.component.COView contenuVueArrete;
    public org.cocktail.component.COView contenuVueArreteAnnulation;
    public org.cocktail.component.CODisplayGroup displayGroup;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel9;
    public org.cocktail.component.COView vueArrete;
    public org.cocktail.component.COView vueArreteAnnulation;
    public org.cocktail.component.COView vueArretes;
    public org.cocktail.component.COTextArea vueTexte;
    // End of variables declaration//GEN-END:variables
                  

}
